// ============================================================================
// CBP + FBO = MAS22 Simulation Framework
// 20-12-21
//
// ============================================================================

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/HUD.h"
#include "MAS22_Actor.h"
#include "MAS22_HUD.generated.h"

/**
 * 
 */
UCLASS()
class MAS22_SCIENCEPARK_API AMAS22_HUD : public AHUD
{
	GENERATED_BODY()

public:
	AMAS22_HUD();

	virtual void DrawHUD() override;

	//void SetTo(int pValue);

	void SetSelectedActor(AMAS22_Actor* Masac);
	void SetTo(int pValue);

	AMAS22_Actor* selectedActor;

private:
	class UTexture2D* Crosshair;
	int valToDisp;
	void dispText();

	UFont* HUDFont;

	void DispSelectedActorInfo();

	bool bActorIsSelected = false;
	
};
