// ============================================================================
// CBP + FBO = MAS22 Simulation Framework
// 20-12-21
//
// ============================================================================

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/PlayerController.h"
#include "Camera/CameraComponent.h"
#include "MAS22_HUD.h"
#include "MAS22_PlayerController.generated.h"

/**
 * 
 */
UCLASS()
class MAS22_SCIENCEPARK_API AMAS22_PlayerController : public APlayerController
{
	GENERATED_BODY()
	
public:
	// Sets default values for this actor's properties
	AMAS22_PlayerController();

	FTimerHandle TimerHandle;
	void Update();
	int itn;

	virtual void SetupInputComponent() override;

	class AMAS22_Pawn* Pawn;

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

private:
	void ActivateObject();
	void E_Pressed();
	AMAS22_HUD* HUD;

	UCameraComponent* FPCC;
};
