// ============================================================================
// CBP + FBO = MAS22 Simulation Framework
// 30-01-22
// rhs_Monster_Truck.h
// 04-02-22 Solver called in single step mode to allow external forcing
// ============================================================================

// (21) -----------------------
#include "MAS22_Monster_Truck.h"
#pragma once

//namespace rhs {


	void rhs_Monster_Truck(double t, double u[], double dudt[]);
	void rhs_Monster_Truck_Air(double t, double u[], double dudt[]);
	void setParams(double params[]);
	// (21) --------------------------------
	void applyStaticForce(double value);
	void applyFloorPlateDispZ(double value);

	// params
	//double pMass;
	//double pSpringConstant;
	//double pDamping;

//}